Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class CategoryAxis3D

    java.lang.Object
      org.jfree.chart.axis.Axis
          org.jfree.chart.axis.CategoryAxis
              org.jfree.chart.axis.CategoryAxis3D

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class CategoryAxis3D

extends CategoryAxis
implements java.lang.Cloneable, java.io.Serializable

An axis that displays categories and has a 3D effect. Used for bar charts and line charts.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.axis.CategoryAxis
`DEFAULT_AXIS_MARGIN, DEFAULT_CATEGORY_MARGIN`

Fields inherited from class org.jfree.chart.axis.Axis
`DEFAULT_AXIS_LABEL_FONT, DEFAULT_AXIS_LABEL_INSETS, DEFAULT_AXIS_LABEL_PAINT, DEFAULT_AXIS_LINE_PAINT, DEFAULT_AXIS_LINE_STROKE, DEFAULT_AXIS_VISIBLE, DEFAULT_TICK_LABEL_FONT, DEFAULT_TICK_LABEL_INSETS, DEFAULT_TICK_LABEL_PAINT, DEFAULT_TICK_LABELS_VISIBLE, DEFAULT_TICK_MARK_INSIDE_LENGTH, DEFAULT_TICK_MARK_OUTSIDE_LENGTH, DEFAULT_TICK_MARK_PAINT, DEFAULT_TICK_MARK_STROKE, DEFAULT_TICK_MARKS_VISIBLE`

Constructor Summary
`CategoryAxis3D()` Creates a new axis.
`CategoryAxis3D(java.lang.String label)` Creates a new axis using default attribute values.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the axis.
`AxisState` | `draw(java.awt.Graphics2D g2, double cursor, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Rectangle2D dataArea, org.jfree.ui.RectangleEdge edge, PlotRenderingInfo plotState)` Draws the axis on a Java 2D graphics device (such as the screen or a printer).
`double` | `getCategoryJava2DCoordinate(CategoryAnchor anchor, int category, int categoryCount, java.awt.geom.Rectangle2D area, org.jfree.ui.RectangleEdge edge)` Returns the Java 2D coordinate for a category.

Methods inherited from class org.jfree.chart.axis.CategoryAxis
`addCategoryLabelToolTip, calculateCategoryGapSize, calculateCategorySize, calculateTextBlockHeight, calculateTextBlockWidth, clearCategoryLabelToolTips, configure, createLabel, drawCategoryLabels, drawCategoryLabels, equals, getCategoryEnd, getCategoryLabelPositionOffset, getCategoryLabelPositions, getCategoryLabelToolTip, getCategoryMargin, getCategoryMiddle, getCategoryStart, getLowerMargin, getMaximumCategoryLabelLines, getMaximumCategoryLabelWidthRatio, getTickLabelFont, getTickLabelPaint, getUpperMargin, hashCode, refreshTicks, removeCategoryLabelToolTip, reserveSpace, setCategoryLabelPositionOffset, setCategoryLabelPositions, setCategoryMargin, setLowerMargin, setMaximumCategoryLabelLines, setMaximumCategoryLabelWidthRatio, setTickLabelFont, setTickLabelPaint, setUpperMargin`

Methods inherited from class org.jfree.chart.axis.Axis
`addChangeListener, drawAxisLine, drawLabel, getAxisLinePaint, getAxisLineStroke, getFixedDimension, getLabel, getLabelAngle, getLabelEnclosure, getLabelFont, getLabelInsets, getLabelPaint, getPlot, getTickLabelFont, getTickLabelInsets, getTickLabelPaint, getTickMarkInsideLength, getTickMarkOutsideLength, getTickMarkPaint, getTickMarkStroke, hasListener, isAxisLineVisible, isTickLabelsVisible, isTickMarksVisible, isVisible, notifyListeners, removeChangeListener, setAxisLinePaint, setAxisLineStroke, setAxisLineVisible, setFixedDimension, setLabel, setLabelAngle, setLabelFont, setLabelInsets, setLabelPaint, setPlot, setTickLabelFont, setTickLabelInsets, setTickLabelPaint, setTickLabelsVisible, setTickMarkInsideLength, setTickMarkOutsideLength, setTickMarkPaint, setTickMarkStroke, setTickMarksVisible, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryAxis3D

    public CategoryAxis3D()

  Creates a new axis.

### CategoryAxis3D

    public CategoryAxis3D(java.lang.String label)

  Creates a new axis using default attribute values.

  Parameters:
    `label` - the axis label (`null` permitted).

Method Detail

### draw

    public AxisState draw(java.awt.Graphics2D g2,
                          double cursor,
                          java.awt.geom.Rectangle2D plotArea,
                          java.awt.geom.Rectangle2D dataArea,
                          org.jfree.ui.RectangleEdge edge,
                          PlotRenderingInfo plotState)

  Draws the axis on a Java 2D graphics device (such as the screen or a printer).

  Overrides:
    `draw` in class `CategoryAxis`
  Parameters:
    `g2` - the graphics device (`null` not permitted).
    `cursor` - the cursor location.
    `plotArea` - the area within which the axis should be drawn (`null` not permitted).
    `dataArea` - the area within which the plot is being drawn (`null` not permitted).
    `edge` - the location of the axis (`null` not permitted).
    `plotState` - collects information about the plot (`null` permitted).
  Returns:
    The axis state (never `null`).

### getCategoryJava2DCoordinate

    public double getCategoryJava2DCoordinate(CategoryAnchor anchor,
                                              int category,
                                              int categoryCount,
                                              java.awt.geom.Rectangle2D area,
                                              org.jfree.ui.RectangleEdge edge)

  Returns the Java 2D coordinate for a category.

  Overrides:
    `getCategoryJava2DCoordinate` in class `CategoryAxis`
  Parameters:
    `anchor` - the anchor point.
    `category` - the category index.
    `categoryCount` - the category count.
    `area` - the data area.
    `edge` - the location of the axis.
  Returns:
    The coordinate.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the axis.

  Overrides:
    `clone` in class `CategoryAxis`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - If the axis is not cloneable for some reason.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD